hash/fr: what changed
Revision 0 to 1. Removed lines have a minus sign; added lines have a plus sign.
Title: hash/fr
| Old | New | Line | |
|---|---|---|---|
| 1 | + | Le paquet **hash** contient les implémentations de CRC, MD5, NTLM (1?) et, sous Linux, crypt. Crypt semblerait meilleur dans le paquet "user". | |
| 2 | + | ||
| 3 | + | # Unité md5 | |
| 4 | + | ||
| 5 | + | Cette unité implémente l'algorithme MD5 selon les spécifications de la RFC 1321. Il s'y trouvent des routines pour calculer des clés de hachage depuis un tampon (*Buffer*) i=ou à paretir d'un fichier entier. | |
| 6 | + | ||
| 7 | + | Le programme de test md5test calcule la veleur de hachage pour quelques chaînes de caractère de référence. La référence de sortie est fournie pour la comparaison. | |
| 8 | + | ||
| 9 | + | Une façon simple de calculer le MD5 d'une chaîne donnée est d'utiliser MD5String suivie de MD5Print comme cela : | |
| 10 | + | ||
| 11 | + | ``` pascal | |
| 12 | + | uses md5; | |
| 13 | + | ||
| 14 | + | var | |
| 15 | + | Password, PasswordHash: string; | |
| 16 | + | begin | |
| 17 | + | PasswordHash := MD5Print(MD5String(Password)); | |
| 18 | + | ``` | |
| 19 | + | ||
| 20 | + | Similairement, pour générer la clé de hachage MD5 d'un fichier, on peut utiliser : | |
| 21 | + | ||
| 22 | + | ``` pascal | |
| 23 | + | uses md5; | |
| 24 | + | ||
| 25 | + | var | |
| 26 | + | PathToFile, FileHash: string; | |
| 27 | + | begin | |
| 28 | + | FileHash := MD5Print(MD5File(PathToFile)); | |
| 29 | + | ``` | |
| 30 | + | ||
| 31 | + | # Unités Hash | |
| 32 | + | ||
| 33 | + | Les unités de hachage suivantes sont disponibles dans FPC : | |
| 34 | + | ||
| 35 | + | - Implémentation de l'algorithme NTLM 1.0, algorithme de hachage avec mot de passe : ntlm.pas | |
| 36 | + | - Implémentation de l'algorithme MD2 (RFC 1319) : md5.pas | |
| 37 | + | - Implémentation de l'algorithme MD4 (RFC 1320) : md5.pas | |
| 38 | + | - Implémentation de l'algorithme MD5 (RFC 1321) : md5.pas | |
| 39 | + | - Implémentation de l'algorithme CRC : crc.pas | |
| 40 | + | - Implémentation de l'algorithme SHA-1 : sha1.pas | |
| 41 | + | - supportant HMAC-MD5 et HMAC-SHA-1 : hmac.pp (FPC trunk) | |
| 42 | + | ||
| 43 | + | # Voir aussi | |
| 44 | + | ||
| 45 | + | - [[HMAC-MD5/fr|HMAC-MD5]] | |
| 46 | + | - [[HMAC-SHA1/fr|HMAC-SHA1]] | |
| 47 | + | ||
| 48 | + | Voir la [[Package List|liste des paquets]] | |
| 49 | + | ||
| 50 | + | --- | |
| 51 | + | *From the Free Pascal wiki, page "hash/fr", as it stood on 2020-02-16 after a change by Trev, out of the wiki's dump of 2024-05-26. Copyright stays with the author who wrote it, according to the old wiki's [[Licensing]] page. If you have concerns about this material, [message the admin](/wiki-contact).* |
